/*
** pic.h -- PIC and CLP file handling routine prototypes
**
** Copyright (C) 1994 by Michael J. Gourlay
**
** NO WARRANTEES, EXPRESS OR IMPLIED.
**
*/
#ifndef _PIC_H_INCLUDED_
#define _PIC_H_INCLUDED_

#include "showtime.h"
#include "image.h"

typedef struct pic_hdr_ {
  short         magic;    /* ought to be 0x1234 */
  int           x_off;
  int           y_off;
  unsigned char bpp;
  int           planes;   /* planes = ((bpp & 0xf0) >> 4) + 1 */
  unsigned char marker;   /* ought to be 255 */
  unsigned char vtype;    /* video type */
  int           etype;    /* palette type */
  int           elen;     /* palette length in bytes */
} pic_hdr_t;


extern int load_pic_palette(FILE *fio, int edesc, int elen);

/* load_pic_header : read a PIC image header and return pertinent info */
extern int load_pic_header(image_hdr_t *ihdrP, screendata_t *sdP, FILE *fio);

/* load_pic_image: read a PIC or CLP image into sdP from fio */
extern int load_pic_image(image_hdr_t *ihdrP, screendata_t *sdP, FILE *fio);

#endif /* _PIC_H_INCLUDED_ */
