/*
** titles.c -- Title making routines
**
** Title making routines are available, but in order to keep the size
** of the movie viewer to a minimum, the title routines are all within
** precompiler conditionals called TITLE.
** To compile in the title making routines, #define TITLE.
**
** Michael J. Gourlay
*/

#include "showtime.h"

/* ====================================================================== */

#ifdef TITLE

/*
** initialize_font : register fonts
** font_dir is the font directory and filename specifier
** font_script is the font script output filename
** fs_fp is the font script output file pointer
*/
extern int initialize_font(char *font_dir, char *font_script, FILE **fs_fp);

/*
** write_image_header : write the PGM header for an image
** x1, y1 are the upper left corner
** x2, y2 are the lower right corner
** fiod is the output file descriptor
*/
extern int write_image_header(UWORD x1, UWORD y1, UWORD x2, UWORD y2, FIO_T fiod);

/*
** write_image : capture a region and write a quasi-PGM image to a file
** x1, y1 are the upper left corner
** x2, y2 are the lower right corner
** ofn is the output filename
*/
extern int write_image(UWORD x1, UWORD y1, UWORD x2, UWORD y2, char *ofn);

#endif /* TITLE */
